Skip to content

What the push services and the service workers reported

GET
/api/v1/workspaces/{workspace}/push/events
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push/events \
--header 'Authorization: Bearer <token>'

Permission: providers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

before

Events before this time

string format: date-time

Events before this time

limit
integer format: int64
<= 200

OK

Media typeapplication/json
object
items
required
Array<object>
object
at
required
string format: date-time
browser
required
string
kind
required
string
Allowed values: sent gone failed shown clicked closed queued delivered undelivered replied opted_out opted_in help read
message
required
string
raw
required
string
site
required
string
source
required
string
sourceId
string
sourceKind
required
string
Allowed values: campaign automation test confirmation reply
more
required
boolean
removed
required
integer format: int64

Example

{
"items": [
{
"kind": "sent",
"sourceKind": "campaign"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}